import { GcodeParseResult } from "./GcodeParser";
import { GcodeInfo, GcodeInfoSet, Source } from "./GcodeInfo";
export declare type SearchOptions = {
    maxResultCount: number;
    include: {
        Marlin: boolean;
        RepRap: boolean;
        Klipper: boolean;
    };
};
export declare type PartialSearchOptions = {
    maxResultCount?: number;
    include?: {
        [source in Source]: boolean;
    };
};
export declare type ParsedParameters = {
    [tag: string]: (string | number)[];
};
export declare type SearchResult = {
    line: string;
    isEmpty: boolean;
    isSearch: boolean;
    parsedParameters?: ParsedParameters;
    docItems: {
        command: string;
        docItem: GcodeInfo;
    }[];
    extraResultsCount: number;
};
export declare class DocumentationService {
    readonly allGcodes: GcodeInfoSet;
    private readonly allGcodesById;
    private readonly klipperGcodeParser;
    constructor(allGcodes: GcodeInfoSet);
    findDocsIds(searchString: string): string[];
    findDocs(searchString: string): [string, GcodeInfo][];
    parseParameters(line: GcodeParseResult, parsedParameters?: ParsedParameters): ParsedParameters;
    getSearchResult(commandLine: string, options?: PartialSearchOptions): SearchResult;
}
