export declare type GcodeParameterValue = {
    tag: string;
    type: string;
};
export declare type GcodeParameter = {
    description: string;
    label: string;
    optional: boolean;
    tag: string;
    values: GcodeParameterValue[];
};
export declare type Source = "Marlin" | "RepRap" | "Klipper";
export declare type GcodeInfo = {
    brief: string;
    codes: string[];
    id: string;
    parameters: GcodeParameter[];
    related: string[];
    source: Source;
    title: string;
    url: string;
};
export declare type GcodeInfoGroup = GcodeInfo[];
export declare type GcodeInfoSet = {
    [name: string]: GcodeInfoGroup;
};
