export declare type GcodeParserOptions = {
    flatten: boolean;
    noParseLine: boolean;
};
export declare type PartialGcodeParserOptions = {
    flatten?: boolean;
    noParseLine?: boolean;
};
export declare type GcodeParseResult = {
    line: string;
    words?: (string | [string | null, number | string | null] | null)[];
    cmds?: string[];
    ln?: number;
    cs?: number;
    actualCs?: number;
    err?: boolean;
};
export declare class GcodeParser {
    static re: RegExp;
    static reStringMessage: RegExp;
    static STRING_MESSAGE_PARAMETER_NAME: {
        [code: string]: string;
    };
    parseLine(line: string, options?: PartialGcodeParserOptions): GcodeParseResult;
    getStringMessage(line: string): [string | null, string | null];
    computeChecksum(s: string): number;
    static re1: RegExp;
    static re2: RegExp;
    static re3: RegExp;
    stripComments(line: string): string;
}
